<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import PFDEPTEditViewBase from './pfdeptedit-view-base.vue';

import view_form from '@widgets/pfdept/main2-form/main2-form.vue';

/**
 * 部门
 *
 * @export
 * @class PFDEPTEditView
 * @extends {PFDEPTEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class PFDEPTEditView extends PFDEPTEditViewBase { }
</script>